## python-taskflow 2.3.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# See: https://bugs.launchpad.net/pbr/+bug/1384919 for why this is here...
pbr>=1.6 # Apache-2.0

# Packages needed for using this library.

# Python 2->3 compatibility library.
six>=1.9.0 # MIT

# Enum library made for <= python 3.3
enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD

# For async and/or periodic work
futurist>=0.11.0 # Apache-2.0

# For reader/writer + interprocess locks.
fasteners>=0.7 # Apache-2.0

# Very nice graph library
networkx>=1.10 # BSD

# For contextlib new additions/compatibility for <= python 3.3
contextlib2>=0.4.0 # PSF License

# Used for backend storage engine loading.
stevedore>=1.10.0 # Apache-2.0

# Backport for concurrent.futures which exists in 3.2+
futures>=3.0;python_version=='2.7' or python_version=='2.6' # BSD

# Backport for time.monotonic which is in 3.3+
monotonic>=0.6 # Apache-2.0

# Used for structured input validation
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT

# For the state machine we run with
automaton>=0.5.0 # Apache-2.0

# For common utilities
oslo.utils>=3.15.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
retrying!=1.3.0,>=1.2.3 # Apache-2.0

# For lru caches and such
cachetools>=1.0.0 # MIT License

# For deprecation of things
debtcollector>=1.2.0 # Apache-2.0

=== debian/changelog ===
python-taskflow (2.3.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Fixed oslotest EPOCH.

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Sep 2016 19:15:35 +0200

python-taskflow (2.3.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * Added missing Debian tests dependencies
  * Added Python module import Debian tests
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_{test,install} from openstack-pkg-tools >= 52~.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Jul 2016 21:47:19 +0200

python-taskflow (1.30.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Added git as build-depends-indep.

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Mar 2016 10:24:58 +0100

=== debian/control ===
Source: python-taskflow
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: alembic (>= 0.8.4),
                     git,
                     python-alembic (>= 0.8.4),
                     python-automaton (>= 0.5.0),
                     python-cachetools (>= 1.0.0),
                     python-concurrent.futures (>= 3.0),
                     python-contextlib2,
                     python-coverage,
                     python-debtcollector (>= 1.2.0),
                     python-enum34,
                     python-eventlet (>= 0.18.4),
                     python-fasteners (>= 0.7),
                     python-futurist (>= 0.11.0),
                     python-hacking,
                     python-jsonschema,
                     python-kazoo (>= 2.2),
                     python-kombu (>= 3.0.25),
                     python-mock (>= 2.0),
                     python-monotonic (>= 0.6),
                     python-networkx (>= 1.10),
                     python-netifaces,
                     python-oslo.serialization (>= 2.0.0),
                     python-oslo.utils (>= 3.15.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1:2.3.0),
                     python-psycopg2,
                     python-pydotplus,
                     python-pymysql (>= 0.6.2),
                     python-redis,
                     python-retrying (>= 1.2.3),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-sqlalchemy-utils,
                     python-stevedore (>= 1.10.0),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-zake,
                     python3-alembic (>= 0.8.4),
                     python3-automaton,
                     python3-cachetools,
                     python3-contextlib2,
                     python3-coverage,
                     python3-debtcollector (>= 1.2.0),
                     python3-eventlet (>= 0.18.4),
                     python3-fasteners (>= 0.7),
                     python3-futurist (>= 0.11.0),
                     python3-jsonschema,
                     python3-kazoo (>= 2.2),
                     python3-kombu (>= 3.0.25),
                     python3-mock (>= 2.0),
                     python3-monotonic (>= 0.6),
                     python3-networkx (>= 1.10),
                     python3-netifaces,
                     python3-oslo.serialization (>= 2.0.0),
                     python3-oslo.utils (>= 3.15.0),
                     python3-oslotest (>= 1:2.5.0),
                     python3-psycopg2,
                     python3-pydotplus,
                     python3-pymysql (>= 0.6.2),
                     python3-redis,
                     python3-retrying (>= 1.2.3),
                     python3-six (>= 1.9.0),
                     python3-sqlalchemy (>= 1.0.10),
                     python3-sqlalchemy-utils,
                     python3-stevedore (>= 1.10.0),
                     python3-subunit,
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     python3-zake,
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-taskflow?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-python-taskflow -b debian/newton
Homepage: https://github.com/openstack/taskflow
XS-Testsuite: autopkgtest

Package: python-taskflow
Architecture: all
Depends: alembic (>= 0.8.4),
         python-automaton (>= 0.5.0),
         python-cachetools (>= 1.0.0),
         python-concurrent.futures (>= 3.0),
         python-contextlib2,
         python-debtcollector (>= 1.2.0),
         python-enum34,
         python-eventlet (>= 0.17.4),
         python-fasteners (>= 0.7),
         python-futurist (>= 0.11.0),
         python-jsonschema,
         python-kazoo,
         python-kombu (>= 3.0.25),
         python-monotonic (>= 0.6),
         python-networkx (>= 1.10),
         python-oslo.serialization (>= 2.0.0),
         python-oslo.utils (>= 3.15.0),
         python-pbr (>= 1.8),
         python-psycopg2,
         python-pydotplus,
         python-pymysql (>= 0.6.2),
         python-retrying (>= 1.2.3),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.10.0),
         ${misc:Depends},
         ${python:Depends},
Recommends: ${python:Recommends},
Description: Taskflow structured state management library - Python 2.7
 TaskFlow, is a library to do [jobs, tasks, flows] in a HA manner
 using different backends to be used with OpenStack projects.
 More information at http://wiki.openstack.org/wiki/TaskFlow
 .
 This package contains the Python 2.7 module.

Package: python3-taskflow
Architecture: all
Depends: alembic (>= 0.8.4),
         python3-automaton,
         python3-cachetools,
         python3-contextlib2,
         python3-debtcollector (>= 1.2.0),
         python3-eventlet (>= 0.17.4),
         python3-fasteners (>= 0.7),
         python3-futurist (>= 0.11.0),
         python3-jsonschema,
         python3-kazoo,
         python3-kombu (>= 3.0.25),
         python3-monotonic (>= 0.6),
         python3-networkx (>= 1.10),
         python3-oslo.serialization (>= 2.0.0),
         python3-oslo.utils (>= 3.15.0),
         python3-pbr (>= 1.8),
         python3-psycopg2,
         python3-pydotplus,
         python3-pymysql (>= 0.6.2),
         python3-retrying (>= 1.2.3),
         python3-six (>= 1.9.0),
         python3-sqlalchemy (>= 1.0.10),
         python3-stevedore (>= 1.10.0),
         ${misc:Depends},
         ${python3:Depends},
Recommends: ${python:Recommends},
Description: Taskflow structured state management library - Python 3.x
 TaskFlow, is a library to do [jobs, tasks, flows] in a HA manner
 using different backends to be used with OpenStack projects.
 More information at http://wiki.openstack.org/wiki/TaskFlow
 .
 This package contains the Python 3.x module.

Package: python-taskflow-doc
Section: doc
Architecture: all
Depends: ${sphinxdoc:Depends},
         ${misc:Depends},
Description: Taskflow structured state management library - doc
 TaskFlow, is a library to do [jobs, tasks, flows] in a HA manner
 using different backends to be used with OpenStack projects.
 More information at http://wiki.openstack.org/wiki/TaskFlow
 .
 This package contains the documentation.

=== debian/tests/control ===
Depends: python-taskflow
Test-Command: cd "$ADTTMP" ; python -c "import taskflow ; print taskflow"

Depends: python3-taskflow
Test-Command: cd "$ADTTMP" ; python3 -c "import taskflow ; print(taskflow)"

Tests: python-taskflow
Depends: @, python-all, testrepository, python-mock, python-testtools, python-kazoo,
 python-kombu, python-zake, python-oslo-serialization, python-oslo-utils, python-oslotest,
 python-jsonschema, python-redis, python-sqlalchemy, python-sqlalchemy-utils
Restrictions: allow-stderr

## python-taskflow 2.9.0

=== requirements.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # process, which may cause wedges in the gate later.
 
 # See: https://bugs.launchpad.net/pbr/+bug/1384919 for why this is here...
-pbr>=1.6 # Apache-2.0
+pbr>=1.8 # Apache-2.0
 
 # Packages needed for using this library.
 
@@ -14,7 +14,7 @@
 enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
 
 # For async and/or periodic work
-futurist>=0.11.0 # Apache-2.0
+futurist!=0.15.0,>=0.11.0 # Apache-2.0
 
 # For reader/writer + interprocess locks.
 fasteners>=0.7 # Apache-2.0
@@ -26,13 +26,10 @@
 contextlib2>=0.4.0 # PSF License
 
 # Used for backend storage engine loading.
-stevedore>=1.10.0 # Apache-2.0
+stevedore>=1.17.1 # Apache-2.0
 
 # Backport for concurrent.futures which exists in 3.2+
 futures>=3.0;python_version=='2.7' or python_version=='2.6' # BSD
-
-# Backport for time.monotonic which is in 3.3+
-monotonic>=0.6 # Apache-2.0
 
 # Used for structured input validation
 jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
@@ -41,13 +38,12 @@
 automaton>=0.5.0 # Apache-2.0
 
 # For common utilities
-oslo.utils>=3.15.0 # Apache-2.0
+oslo.utils>=3.18.0 # Apache-2.0
 oslo.serialization>=1.10.0 # Apache-2.0
-retrying!=1.3.0,>=1.2.3 # Apache-2.0
+tenacity>=3.2.1 # Apache-2.0
 
 # For lru caches and such
-cachetools>=1.0.0 # MIT License
+cachetools>=1.1.0 # MIT License
 
 # For deprecation of things
 debtcollector>=1.2.0 # Apache-2.0
-

=== debian/changelog ===
python-taskflow (2.9.0-2) unstable; urgency=medium

  * Change control

 -- David Homolka <david.homolka@ultimum.io>  Fri, 04 Aug 2017 11:50:00 +0200

python-taskflow (2.9.0-1) unstable; urgency=medium

  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 03 Aug 2017 18:50:52 +0200

python-taskflow (2.3.0-3) UNRELEASED; urgency=medium

  * Bumped debhelper compat version to 10

 -- Ondřej Nový <onovy@debian.org>  Thu, 24 Nov 2016 00:11:52 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                openstack-pkg-tools (>= 52~),
                python-all,
@@ -17,7 +17,7 @@
                      git,
                      python-alembic (>= 0.8.4),
                      python-automaton (>= 0.5.0),
-                     python-cachetools (>= 1.0.0),
+                     python-cachetools (>= 1.1.0),
                      python-concurrent.futures (>= 3.0),
                      python-contextlib2,
                      python-coverage,
@@ -35,7 +35,7 @@
                      python-networkx (>= 1.10),
                      python-netifaces,
                      python-oslo.serialization (>= 2.0.0),
-                     python-oslo.utils (>= 3.15.0),
+                     python-oslo.utils (>= 3.18.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1:2.3.0),
                      python-psycopg2,
@@ -46,13 +46,14 @@
                      python-six (>= 1.9.0),
                      python-sqlalchemy (>= 1.0.10),
                      python-sqlalchemy-utils,
-                     python-stevedore (>= 1.10.0),
+                     python-stevedore (>= 1.17.1),
+                     python-tenacity (>= 3.1.1),
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
                      python-zake,
                      python3-alembic (>= 0.8.4),
                      python3-automaton,
-                     python3-cachetools,
+                     python3-cachetools (>= 1.1.0),
                      python3-contextlib2,
                      python3-coverage,
                      python3-debtcollector (>= 1.2.0),
@@ -67,7 +68,7 @@
                      python3-networkx (>= 1.10),
                      python3-netifaces,
                      python3-oslo.serialization (>= 2.0.0),
-                     python3-oslo.utils (>= 3.15.0),
+                     python3-oslo.utils (>= 3.18.0),
                      python3-oslotest (>= 1:2.5.0),
                      python3-psycopg2,
                      python3-pydotplus,
@@ -77,16 +78,17 @@
                      python3-six (>= 1.9.0),
                      python3-sqlalchemy (>= 1.0.10),
                      python3-sqlalchemy-utils,
-                     python3-stevedore (>= 1.10.0),
+                     python3-stevedore (>= 1.17.1),
                      python3-subunit,
+                     python3-tenacity (>= 3.1.1),
                      python3-testscenarios,
                      python3-testtools (>= 1.4.0),
                      python3-zake,
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-taskflow?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/openstack/deb-python-taskflow -b debian/newton
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-taskflow.git/
+Vcs-Git: https://anonscm.debian.org/git/openstack/python-taskflow.git
 Homepage: https://github.com/openstack/taskflow
 XS-Testsuite: autopkgtest
 
@@ -94,7 +96,7 @@
 Architecture: all
 Depends: alembic (>= 0.8.4),
          python-automaton (>= 0.5.0),
-         python-cachetools (>= 1.0.0),
+         python-cachetools (>= 1.1.0),
          python-concurrent.futures (>= 3.0),
          python-contextlib2,
          python-debtcollector (>= 1.2.0),
@@ -108,7 +110,7 @@
          python-monotonic (>= 0.6),
          python-networkx (>= 1.10),
          python-oslo.serialization (>= 2.0.0),
-         python-oslo.utils (>= 3.15.0),
+         python-oslo.utils (>= 3.18.0),
          python-pbr (>= 1.8),
          python-psycopg2,
          python-pydotplus,
@@ -116,7 +118,8 @@
          python-retrying (>= 1.2.3),
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 1.0.10),
-         python-stevedore (>= 1.10.0),
+         python-stevedore (>= 1.17.1),
+         python-tenacity (>= 3.1.1),
          ${misc:Depends},
          ${python:Depends},
 Recommends: ${python:Recommends},
@@ -143,7 +146,7 @@
          python3-monotonic (>= 0.6),
          python3-networkx (>= 1.10),
          python3-oslo.serialization (>= 2.0.0),
-         python3-oslo.utils (>= 3.15.0),
+         python3-oslo.utils (>= 3.18.0),
          python3-pbr (>= 1.8),
          python3-psycopg2,
          python3-pydotplus,
@@ -151,7 +154,8 @@
          python3-retrying (>= 1.2.3),
          python3-six (>= 1.9.0),
          python3-sqlalchemy (>= 1.0.10),
-         python3-stevedore (>= 1.10.0),
+         python3-stevedore (>= 1.17.1),
+         python3-tenacity (>= 3.1.1),
          ${misc:Depends},
          ${python3:Depends},
 Recommends: ${python:Recommends},

## python-taskflow 2.14.0

=== requirements.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # process, which may cause wedges in the gate later.
 
 # See: https://bugs.launchpad.net/pbr/+bug/1384919 for why this is here...
-pbr>=1.8 # Apache-2.0
+pbr!=2.1.0,>=2.0.0 # Apache-2.0
 
 # Packages needed for using this library.
 
@@ -26,7 +26,7 @@
 contextlib2>=0.4.0 # PSF License
 
 # Used for backend storage engine loading.
-stevedore>=1.17.1 # Apache-2.0
+stevedore>=1.20.0 # Apache-2.0
 
 # Backport for concurrent.futures which exists in 3.2+
 futures>=3.0;python_version=='2.7' or python_version=='2.6' # BSD
@@ -38,8 +38,8 @@
 automaton>=0.5.0 # Apache-2.0
 
 # For common utilities
-oslo.utils>=3.18.0 # Apache-2.0
-oslo.serialization>=1.10.0 # Apache-2.0
+oslo.utils>=3.20.0 # Apache-2.0
+oslo.serialization!=2.19.1,>=1.10.0 # Apache-2.0
 tenacity>=3.2.1 # Apache-2.0
 
 # For lru caches and such

=== debian/changelog ===
python-taskflow (2.14.0-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 16 Aug 2017 13:44:28 +0000

python-taskflow (2.14.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 15 Aug 2017 17:00:17 -0400

python-taskflow (2.13.0-0ubuntu1) artful; urgency=medium

  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 07 Jul 2017 15:49:20 -0400

python-taskflow (2.11.0-0ubuntu1) artful; urgency=medium

  * d/watch: Use tarballs.openstack.org.
  * New upstream release.
  * Align (Build-)Depends with upstream milestone.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Jun 2017 09:23:00 +0100

python-taskflow (2.9.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 23 Jan 2017 10:12:57 -0500

python-taskflow (2.8.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 05 Dec 2016 11:01:39 -0500

python-taskflow (2.7.0-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 20 Oct 2016 09:35:30 -0400

python-taskflow (2.3.0-1ubuntu1) yakkety; urgency=medium

  * d/control: Move python-pydotplus to Suggests as it is only required
    for tools/state_graph.py, and it is not in Ubuntu main.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 03 Oct 2016 13:14:33 -0400

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: python-taskflow
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 9),
                dh-python,
                openstack-pkg-tools (>= 52~),
                python-all,
-               python-pbr (>= 1.8),
+               python-pbr (>= 2.0.0),
                python-setuptools,
                python-sphinx,
                python3-all,
-               python3-pbr (>= 1.8),
+               python3-pbr (>= 2.0.0),
                python3-setuptools,
 Build-Depends-Indep: alembic (>= 0.8.4),
                      git,
@@ -35,9 +36,9 @@
                      python-networkx (>= 1.10),
                      python-netifaces,
                      python-oslo.serialization (>= 2.0.0),
-                     python-oslo.utils (>= 3.18.0),
+                     python-oslo.utils (>= 3.20.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1:2.3.0),
+                     python-oslotest (>= 2.3.0),
                      python-psycopg2,
                      python-pydotplus,
                      python-pymysql (>= 0.6.2),
@@ -46,8 +47,8 @@
                      python-six (>= 1.9.0),
                      python-sqlalchemy (>= 1.0.10),
                      python-sqlalchemy-utils,
-                     python-stevedore (>= 1.17.1),
-                     python-tenacity (>= 3.1.1),
+                     python-stevedore (>= 1.20.0),
+                     python-tenacity (>= 3.2.1),
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
                      python-zake,
@@ -68,8 +69,8 @@
                      python3-networkx (>= 1.10),
                      python3-netifaces,
                      python3-oslo.serialization (>= 2.0.0),
-                     python3-oslo.utils (>= 3.18.0),
-                     python3-oslotest (>= 1:2.5.0),
+                     python3-oslo.utils (>= 3.20.0),
+                     python3-oslotest (>= 2.5.0),
                      python3-psycopg2,
                      python3-pydotplus,
                      python3-pymysql (>= 0.6.2),
@@ -78,17 +79,17 @@
                      python3-six (>= 1.9.0),
                      python3-sqlalchemy (>= 1.0.10),
                      python3-sqlalchemy-utils,
-                     python3-stevedore (>= 1.17.1),
+                     python3-stevedore (>= 1.20.0),
                      python3-subunit,
-                     python3-tenacity (>= 3.1.1),
+                     python3-tenacity (>= 3.2.1),
                      python3-testscenarios,
                      python3-testtools (>= 1.4.0),
                      python3-zake,
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-taskflow.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-taskflow.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-taskflow
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-taskflow
 Homepage: https://github.com/openstack/taskflow
 XS-Testsuite: autopkgtest
 
@@ -110,19 +111,19 @@
          python-monotonic (>= 0.6),
          python-networkx (>= 1.10),
          python-oslo.serialization (>= 2.0.0),
-         python-oslo.utils (>= 3.18.0),
-         python-pbr (>= 1.8),
+         python-oslo.utils (>= 3.20.0),
+         python-pbr (>= 2.0.0),
          python-psycopg2,
-         python-pydotplus,
          python-pymysql (>= 0.6.2),
          python-retrying (>= 1.2.3),
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 1.0.10),
-         python-stevedore (>= 1.17.1),
-         python-tenacity (>= 3.1.1),
+         python-stevedore (>= 1.20.0),
+         python-tenacity (>= 3.2.1),
          ${misc:Depends},
          ${python:Depends},
 Recommends: ${python:Recommends},
+Suggests: python-pydotplus,
 Description: Taskflow structured state management library - Python 2.7
  TaskFlow, is a library to do [jobs, tasks, flows] in a HA manner
  using different backends to be used with OpenStack projects.
@@ -134,7 +135,7 @@
 Architecture: all
 Depends: alembic (>= 0.8.4),
          python3-automaton,
-         python3-cachetools,
+         python3-cachetools (>= 1.1.0),
          python3-contextlib2,
          python3-debtcollector (>= 1.2.0),
          python3-eventlet (>= 0.17.4),
@@ -146,19 +147,19 @@
          python3-monotonic (>= 0.6),
          python3-networkx (>= 1.10),
          python3-oslo.serialization (>= 2.0.0),
-         python3-oslo.utils (>= 3.18.0),
-         python3-pbr (>= 1.8),
+         python3-oslo.utils (>= 3.20.0),
+         python3-pbr (>= 2.0.0),
          python3-psycopg2,
-         python3-pydotplus,
          python3-pymysql (>= 0.6.2),
          python3-retrying (>= 1.2.3),
          python3-six (>= 1.9.0),
          python3-sqlalchemy (>= 1.0.10),
-         python3-stevedore (>= 1.17.1),
-         python3-tenacity (>= 3.1.1),
+         python3-stevedore (>= 1.20.0),
+         python3-tenacity (>= 3.2.1),
          ${misc:Depends},
          ${python3:Depends},
 Recommends: ${python:Recommends},
+Suggests: python3-pydotplus,
 Description: Taskflow structured state management library - Python 3.x
  TaskFlow, is a library to do [jobs, tasks, flows] in a HA manner
  using different backends to be used with OpenStack projects.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/taskflow.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	find . -iname '*.pyc' -delete

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test 'taskflow\.tests\.(?!.*test_examples\.ExamplesTestCase\.test_99_bottles.*)'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source debian/python-taskflow-doc/usr/share/doc/python-taskflow-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-taskflow 3.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# See: https://bugs.launchpad.net/pbr/+bug/1384919 for why this is here...
pbr!=2.1.0,>=2.0.0 # Apache-2.0

# Packages needed for using this library.

# Python 2->3 compatibility library.
six>=1.10.0 # MIT

# Enum library made for <= python 3.3
enum34>=1.0.4;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD

# For async and/or periodic work
futurist>=1.2.0 # Apache-2.0

# For reader/writer + interprocess locks.
fasteners>=0.7.0 # Apache-2.0

# Very nice graph library
networkx<2.0,>=1.10 # BSD

# For contextlib new additions/compatibility for <= python 3.3
contextlib2>=0.4.0 # PSF License

# Used for backend storage engine loading.
stevedore>=1.20.0 # Apache-2.0

# Backport for concurrent.futures which exists in 3.2+
futures>=3.0.0;python_version=='2.7' or python_version=='2.6' # BSD

# Used for structured input validation
jsonschema<3.0.0,>=2.6.0 # MIT

# For the state machine we run with
automaton>=1.9.0 # Apache-2.0

# For common utilities
oslo.utils>=3.33.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
tenacity>=3.2.1 # Apache-2.0

# For lru caches and such
cachetools>=2.0.0 # MIT License

# For deprecation of things
debtcollector>=1.2.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx>=1.6.2 # BSD
openstackdocstheme>=1.17.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0

doc8>=0.6.0 # Apache-2.0

# This copies requirements from [extra] section of setup.cfg.
# These need to be installed for some code analysis done
# via "inheritance-diagram" directive.

kombu!=4.0.2,>=4.0.0 # BSD
kazoo>=2.2 # Apache-2.0
zake>=0.1.6 # Apache-2.0
redis>=2.10.0 # MIT

eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
alembic>=0.8.10 # MIT
SQLAlchemy-Utils>=0.30.11 # BSD License
PyMySQL>=0.7.6 # MIT License
psycopg2>=2.6.2 # LGPL/ZPL

=== debian/changelog ===
python-taskflow (3.1.0-3) unstable; urgency=medium

  * Blacklist test_to_dict_with_invalid_json_failures which is failing as a
    backport for Stretch, and which looks like relying on ordered dict, which
    is not really ordered.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Feb 2018 23:02:13 +0000

python-taskflow (3.1.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Blacklist test_examples.ExamplesTestCase.* which don't know how to properly
    find the taskflow module (Closes: #891438).

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 22:56:36 +0000

python-taskflow (3.1.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed XS-Testsuite: header.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Feb 2018 09:05:20 +0000

python-taskflow (2.14.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * Added missing Debian tests dependencies
  * Added Python module import Debian tests
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_{install,test}.

 -- Thomas Goirand <zigo@debian.org>  Sat, 07 Oct 2017 11:44:18 +0200

=== debian/control ===
Source: python-taskflow
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
Build-Depends-Indep:
 alembic (>= 0.8.10),
 git,
 python-alembic (>= 0.8.10),
 python-automaton (>= 1.9.0),
 python-cachetools (>= 2.0.0),
 python-concurrent.futures,
 python-contextlib2,
 python-coverage,
 python-debtcollector,
 python-enum34,
 python-eventlet,
 python-fasteners,
 python-futurist (>= 1.2.0),
 python-hacking,
 python-jsonschema,
 python-kazoo,
 python-kombu (>= 4.0.0),
 python-mock,
 python-netifaces,
 python-networkx,
 python-openstackdocstheme (>= 1.11.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest,
 python-psycopg2 (>= 2.6.2),
 python-pydotplus,
 python-pymysql (>= 0.7.6),
 python-redis,
 python-six,
 python-sqlalchemy,
 python-sqlalchemy-utils,
 python-stevedore (>= 1.20.0),
 python-tenacity (>= 3.2.1),
 python-testscenarios,
 python-testtools (>= 2.2.0),
 python-zake,
 python3-alembic (>= 0.8.10),
 python3-automaton (>= 1.9.0),
 python3-cachetools (>= 2.0.0),
 python3-contextlib2,
 python3-coverage,
 python3-debtcollector,
 python3-eventlet,
 python3-fasteners,
 python3-futurist (>= 1.2.0),
 python3-jsonschema,
 python3-kazoo,
 python3-kombu (>= 4.0.0),
 python3-mock,
 python3-netifaces,
 python3-networkx,
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest,
 python3-psycopg2 (>= 2.6.2),
 python3-pydotplus,
 python3-pymysql (>= 0.7.6),
 python3-redis,
 python3-six,
 python3-sqlalchemy,
 python3-sqlalchemy-utils,
 python3-stevedore (>= 1.20.0),
 python3-subunit,
 python3-tenacity (>= 3.2.1),
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 python3-zake,
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-taskflow
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-taskflow.git
Homepage: https://github.com/openstack/taskflow

Package: python-taskflow
Architecture: all
Depends:
 alembic (>= 0.8.10),
 python-alembic (>= 0.8.10),
 python-automaton (>= 1.9.0),
 python-cachetools (>= 2.0.0),
 python-concurrent.futures,
 python-contextlib2,
 python-debtcollector,
 python-enum34,
 python-eventlet,
 python-fasteners,
 python-futurist (>= 1.2.0),
 python-jsonschema,
 python-kazoo,
 python-kombu (>= 4.0.0),
 python-networkx,
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-psycopg2 (>= 2.6.2),
 python-pymysql (>= 0.7.6),
 python-six,
 python-sqlalchemy,
 python-stevedore (>= 1.20.0),
 python-tenacity (>= 3.2.1),
 ${misc:Depends},
 ${python:Depends},
Recommends:
 ${python:Recommends},
Description: Taskflow structured state management library - Python 2.7
 TaskFlow, is a library to do [jobs, tasks, flows] in a HA manner
 using different backends to be used with OpenStack projects.
 More information at http://wiki.openstack.org/wiki/TaskFlow
 .
 This package contains the Python 2.7 module.

Package: python-taskflow-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Taskflow structured state management library - doc
 TaskFlow, is a library to do [jobs, tasks, flows] in a HA manner
 using different backends to be used with OpenStack projects.
 More information at http://wiki.openstack.org/wiki/TaskFlow
 .
 This package contains the documentation.

Package: python3-taskflow
Architecture: all
Depends:
 alembic (>= 0.8.10),
 python3-alembic (>= 0.8.10),
 python3-automaton (>= 1.9.0),
 python3-cachetools (>= 2.0.0),
 python3-contextlib2,
 python3-debtcollector,
 python3-eventlet,
 python3-fasteners,
 python3-futurist (>= 1.2.0),
 python3-jsonschema,
 python3-kazoo,
 python3-kombu (>= 4.0.0),
 python3-networkx,
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-psycopg2 (>= 2.6.2),
 python3-pymysql (>= 0.7.6),
 python3-six,
 python3-sqlalchemy,
 python3-stevedore (>= 1.20.0),
 python3-tenacity (>= 3.2.1),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ${python:Recommends},
Description: Taskflow structured state management library - Python 3.x
 TaskFlow, is a library to do [jobs, tasks, flows] in a HA manner
 using different backends to be used with OpenStack projects.
 More information at http://wiki.openstack.org/wiki/TaskFlow
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -15,11 +15,11 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test 'taskflow\.tests\.(?!.*test_examples\.ExamplesTestCase\.test_99_bottles.*)'
+	pkgos-dh_auto_test 'taskflow\.tests\.(?!(.*test_examples\.ExamplesTestCase.*|.*worker_based\.test_protocol\.TestProtocol\.test_to_dict_with_invalid_json_failures.*))'
 endif
 
 override_dh_sphinxdoc:
-ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
+ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
 	PYTHONPATH=. sphinx-build -b html doc/source debian/python-taskflow-doc/usr/share/doc/python-taskflow-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 endif

## python-taskflow 3.2.0

=== requirements.txt ===
--- 
+++ 
@@ -20,10 +20,10 @@
 fasteners>=0.7.0 # Apache-2.0
 
 # Very nice graph library
-networkx<2.0,>=1.10 # BSD
+networkx>=1.10 # BSD
 
 # For contextlib new additions/compatibility for <= python 3.3
-contextlib2>=0.4.0 # PSF License
+contextlib2>=0.4.0;python_version<'3.0' # PSF License
 
 # Used for backend storage engine loading.
 stevedore>=1.20.0 # Apache-2.0
@@ -40,7 +40,7 @@
 # For common utilities
 oslo.utils>=3.33.0 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
-tenacity>=3.2.1 # Apache-2.0
+tenacity>=4.4.0 # Apache-2.0
 
 # For lru caches and such
 cachetools>=2.0.0 # MIT License

=== debian/changelog ===
python-taskflow (3.2.0-3) unstable; urgency=medium

  * Add patch to fix StrEnum class that is breaking multiple packages at
    once (Closes: #910447).
  * Remove debhelper overrides.

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Oct 2018 19:22:49 +0000

python-taskflow (3.2.0-2) unstable; urgency=medium

  * Fix autopkgtest depends (Closes: #908526).

 -- Thomas Goirand <zigo@debian.org>  Tue, 11 Sep 2018 09:12:05 +0200

python-taskflow (3.2.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Thomas Goirand ]
  * New upstream release.
  * Add reproducible_build.patch (Closes: #860374).
  * Removed fix-networkx-2-support.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Fri, 07 Sep 2018 12:11:00 +0200

python-taskflow (3.1.0-5) unstable; urgency=medium

  * Fix description in fix-networkx-2-support.patch (Closes: #902985).

 -- Michal Arbet <michal.arbet@ultimum.io>  Sat, 28 Jul 2018 03:06:02 +0000

python-taskflow (3.1.0-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP

  [ Michal Arbet ]
  * d/control: Use pydot instead of pydotplus, because
    in sid we are using networkx > 2 which is using pydot
  * d/control: Add python3-openstackdocstheme to build-dependencies
  * d/control: Update Maintainer field
  * d/control: Update Uploaders field
  * d/control: Add python3-sphinx to build-dependencies
  * d/rules: Add deletion of .eggs
  * d/rules: Switch generating docs to python3-sphinx
  * d/patches: Add fix-networkx-2-support.patch
  * d/python-taskflow-doc.links: Fix lintian embedded-javascript-library

 -- Thomas Goirand <zigo@debian.org>  Thu, 12 Jul 2018 09:27:37 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: python-taskflow
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
+ Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
  debhelper (>= 10),
  dh-python,
@@ -15,6 +16,7 @@
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
+ python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
  alembic (>= 0.8.10),
  git,
@@ -41,7 +43,7 @@
  python-oslo.utils (>= 3.33.0),
  python-oslotest,
  python-psycopg2 (>= 2.6.2),
- python-pydotplus,
+ python-pydot,
  python-pymysql (>= 0.7.6),
  python-redis,
  python-six,
@@ -67,11 +69,12 @@
  python3-mock,
  python3-netifaces,
  python3-networkx,
+ python3-openstackdocstheme (>= 1.11.0),
  python3-oslo.serialization (>= 2.18.0),
  python3-oslo.utils (>= 3.33.0),
  python3-oslotest,
  python3-psycopg2 (>= 2.6.2),
- python3-pydotplus,
+ python3-pydot,
  python3-pymysql (>= 0.7.6),
  python3-redis,
  python3-six,
@@ -85,7 +88,7 @@
  python3-zake,
  subunit,
  testrepository,
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
 Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-taskflow
 Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-taskflow.git
 Homepage: https://github.com/openstack/taskflow
@@ -132,6 +135,8 @@
 Section: doc
 Architecture: all
 Depends:
+ libjs-bootstrap,
+ libjs-jquery,
  ${misc:Depends},
  ${sphinxdoc:Depends},
 Description: Taskflow structured state management library - doc

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/taskflow.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	find . -iname '*.pyc' -delete
	rm -rf .eggs

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test 'taskflow\.tests\.(?!(.*test_examples\.ExamplesTestCase.*|.*worker_based\.test_protocol\.TestProtocol\.test_to_dict_with_invalid_json_failures.*))'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-taskflow-doc/usr/share/doc/python-taskflow-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

=== debian/tests/control ===
Depends: python-taskflow
Test-Command: cd "$AUTOPKGTEST_TMP" ; python -c "import taskflow ; print taskflow"

Depends: python3-taskflow
Test-Command: cd "$AUTOPKGTEST_TMP" ; python3 -c "import taskflow ; print(taskflow)"

Tests: python-taskflow
Depends: @, python-all, testrepository, python-mock, python-testtools, python-kazoo,
 python-kombu, python-zake, python-oslo.serialization, python-oslo.utils, python-oslotest,
 python-jsonschema, python-redis, python-sqlalchemy, python-sqlalchemy-utils
Restrictions: allow-stderr
